Page MenuHomeFreeBSD

graphics/linux-c6-libGLU: add port
ClosedPublic

Authored by xmj on Sep 26 2014, 11:04 AM.

Details

Reviewers
swills
koobs
bapt
Group Reviewers
portmgr
Summary
  • Add port, requested by scf@, so that users of NVIDIA users can enjoy linux

games and have nice things!

  • Add linux-c6-libGLU availability to Mk/bsd.linux-apps.mk, to (among others) unbreak games/linux-nwnclient with CentOS

Commitmsg:

graphics/linux-c6-libGLU: Port of CentOS 6.5's Mesa libGLU

Add port of CentOS 6.5's libGLU library. This allows several games to be used
with the new CentOS ports.

Approved by: swills (mentor)
Test Plan

Builds in poudriere.
http://xmj.me/freebsd/buildlogs/linux-c6-libGLU-9.2.log

Will have to be tested by scf@ if it actually works with linux-nwnclient,
as I neither have that game nor an NVIDIA board.

Diff Detail

Repository
rP FreeBSD ports repository
Lint
No Linters Available
Unit
No Unit Test Coverage

Event Timeline

xmj updated this revision to Diff 1777.Sep 26 2014, 11:04 AM
xmj retitled this revision from to www/linux-c6-libGLU: add port.
xmj updated this object.
xmj edited the test plan for this revision. (Show Details)
xmj added reviewers: swills, koobs.
bapt accepted this revision.Sep 26 2014, 12:22 PM
bapt added a reviewer: bapt.
This revision is now accepted and ready to land.Sep 26 2014, 12:22 PM
swills accepted this revision.Oct 4 2014, 5:57 PM
swills edited edge metadata.

Macro lgtm:

xmj retitled this revision from www/linux-c6-libGLU: add port to graphics/linux-c6-libGLU: add port.Oct 7 2014, 7:22 AM
xmj updated this object.
xmj edited edge metadata.
xmj closed this revision.Oct 7 2014, 9:08 AM

Committed revision 370278.